Subject: Re: elf login

From: <[email-masked]>
Date: Tue, 25 Aug 1998 08:36:48 +0000 (UTC)

On Fri, 12 Mar 1999, Peter Danielsson wrote:

> I wrote a small test application that tries to read one entry from
> the passwdfile (using getpwnam("root")) but it fails(returns NULL).
> The extisting a.out login works fine which makes me believe there 
> is a bug in glibc. Is this the case, or am I plain stupid and forgets
> something?

I think people have successfully built systems based entirely on ELF and
glibc now (RedHat, Debian, Titan, ...).  It's possible there is a bug in
getpwnam but it doesn't seem all that likely.  Did you look with strace to
see what was going on?

p.

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]